Links de pagamento
Liste as transações de um link
Encontre os pagamentos associados a um link.
cURL
curl --fail-with-body --request GET \
'https://api.sinnu.com.br/api/payment-links/ID_DO_RECURSO/transactions' \
--header "Authorization: Bearer $SINNU_API_KEY"const apiKey = process.env.SINNU_API_KEY;
if (!apiKey) throw new Error("Configure SINNU_API_KEY no servidor.");
const response = await fetch("https://api.sinnu.com.br/api/payment-links/ID_DO_RECURSO/transactions", {
method: "GET",
headers: {
Authorization: `Bearer ${apiKey}`,
},
});
if (!response.ok) throw new Error(`HTTP ${response.status}: ${await response.text()}`);
console.log(response.status === 204 ? null : await response.json());{
"data": [
{
"id": "00000000-0000-4000-8000-000000000001",
"amount": 99,
"status": "paid",
"paymentMethod": "pix",
"installments": 1,
"customer": {
"id": "00000000-0000-4000-8000-000000000002",
"name": "Cliente de exemplo",
"email": "cliente@example.com"
},
"createdAt": "2026-09-01T12:00:00.000Z",
"paidAt": "2026-09-01T12:00:00.000Z"
}
],
"total": 1,
"page": 1,
"pageSize": 20
}O campo
amount desta resposta está em reais, diferente da API de transações. Um link pode ter várias transações.Autorizações
⌘I
cURL
curl --fail-with-body --request GET \
'https://api.sinnu.com.br/api/payment-links/ID_DO_RECURSO/transactions' \
--header "Authorization: Bearer $SINNU_API_KEY"const apiKey = process.env.SINNU_API_KEY;
if (!apiKey) throw new Error("Configure SINNU_API_KEY no servidor.");
const response = await fetch("https://api.sinnu.com.br/api/payment-links/ID_DO_RECURSO/transactions", {
method: "GET",
headers: {
Authorization: `Bearer ${apiKey}`,
},
});
if (!response.ok) throw new Error(`HTTP ${response.status}: ${await response.text()}`);
console.log(response.status === 204 ? null : await response.json());{
"data": [
{
"id": "00000000-0000-4000-8000-000000000001",
"amount": 99,
"status": "paid",
"paymentMethod": "pix",
"installments": 1,
"customer": {
"id": "00000000-0000-4000-8000-000000000002",
"name": "Cliente de exemplo",
"email": "cliente@example.com"
},
"createdAt": "2026-09-01T12:00:00.000Z",
"paidAt": "2026-09-01T12:00:00.000Z"
}
],
"total": 1,
"page": 1,
"pageSize": 20
}